OpenCV: cv::detail::Estimator Class Reference

| OpenCV 3.4.2 Open Source Computer Vision

Public Member Functions | Protected Member Functions | List of all members
cv::detail::Estimator Class Referenceabstract
Images stitching » Rotation Estimation

Rotation estimator base class. More...

`#include "motion_estimators.hpp"`

Inheritance diagram for cv::detail::Estimator:

## Public Member Functions
virtual | ~Estimator ()
bool | operator() (const std::vector< ImageFeatures > &features, const std::vector< MatchesInfo > &pairwise_matches, std::vector< CameraParams > &cameras)
| Estimates camera parameters. More...

## Protected Member Functions
virtual bool | estimate (const std::vector< ImageFeatures > &features, const std::vector< MatchesInfo > &pairwise_matches, std::vector< CameraParams > &cameras)=0
| This method must implement camera parameters estimation logic in order to make the wrapper detail::Estimator::operator()_ work. More...

## Detailed Description

Rotation estimator base class.

It takes features of all images, pairwise matches between all images and estimates rotations of all cameras.

Note
  The coordinate system origin is implementation-dependent, but you can always normalize the rotations in respect to the first camera, for instance. :

## Constructor & Destructor Documentation

## ◆ ~Estimator()

virtual cv::detail::Estimator::~Estimator | ( |  | ) |
| inlinevirtual

## Member Function Documentation

## ◆ estimate()

virtual bool cv::detail::Estimator::estimate | ( | const std::vector< ImageFeatures > & | features,
|  | const std::vector< MatchesInfo > & | pairwise_matches,
|  | std::vector< CameraParams > & | cameras
| ) |  |
| protectedpure virtual

This method must implement camera parameters estimation logic in order to make the wrapper detail::Estimator::operator()_ work.

Parameters

  features | Features of images
  pairwise_matches | Pairwise matches of images
  cameras | Estimated camera parameters

Returns
  True in case of success, false otherwise

Implemented in cv::detail::BundleAdjusterBase.

## ◆ operator()()

bool cv::detail::Estimator::operator() | ( | const std::vector< ImageFeatures > & | features,
|  | const std::vector< MatchesInfo > & | pairwise_matches,
|  | std::vector< CameraParams > & | cameras
| ) |  |
| inline

Estimates camera parameters.

Parameters

  features | Features of images
  pairwise_matches | Pairwise matches of images
  cameras | Estimated camera parameters

Returns
  True in case of success, false otherwise

The documentation for this class was generated from the following file:

- stitching/include/opencv2/stitching/detail/motion_estimators.hpp